Bug 1309235 - lttng-sessiond should be confined
lttng-sessiond should be confined
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 05:00 EST by Lukas Vrabec
Modified: 2016-02-26 14:23 EST (History)
6 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-158.7.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-26 14:23:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Vrabec 2016-02-17 05:00:42 EST
Description of problem:
lttng-sessiond should be confined 

Version-Release number of selected component (if applicable):
selinux-policy-3.13.1-158.4.fc23.noarch

How reproducible:
always


Actual results:
$ ls -Z  /usr/bin/lttng-sessiond
system_u:object_r:bin_t:s0 /usr/bin/lttng-sessiond


Expected results:
$ ls -Z  /usr/bin/lttng-sessiond
system_u:object_r:lttng_sessiond_exec_t:s0 /usr/bin/lttng-sessiond


Additional info:
https://github.com/fedora-selinux/selinux-policy/pull/95#issuecomment-184295030
Comment 1 Lukas Vrabec 2016-02-17 05:07:52 EST
commit 1c5608fcc514df91317ff3e32949b623204030f8
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Mon Feb 15 17:20:48 2016 +0100

    Add SELinux policy for LTTng 2.x central tracing registry session daemon.
Comment 2 Fedora Update System 2016-02-17 08:47:28 EST
selinux-policy-3.13.1-158.7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ce8624a6c
Comment 3 Fedora Update System 2016-02-17 17:31:05 EST
selinux-policy-3.13.1-158.7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9ce8624a6c
Comment 4 Miroslav Grepl 2016-02-18 07:20:29 EST
Thank you.
Comment 5 Fedora Update System 2016-02-26 14:23:50 EST
selinux-policy-3.13.1-158.7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.